org.apache.ignite.internal.visor.node

## Class VisorSpisConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorSpisConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorSpisConfiguration
    extends Object
    implements Serializable

Data transfer object for node SPIs configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorSpisConfiguration()`

### Method Summary

Methods
`IgniteBiTuple<String,Map<String,Object>>[]` `checkpointSpis()`
`IgniteBiTuple<String,Map<String,Object>>` `collisionSpi()`
`IgniteBiTuple<String,Map<String,Object>>` `communicationSpi()`
`IgniteBiTuple<String,Map<String,Object>>` `deploymentSpi()`
`IgniteBiTuple<String,Map<String,Object>>` `discoverySpi()`
`IgniteBiTuple<String,Map<String,Object>>` `eventStorageSpi()`
`IgniteBiTuple<String,Map<String,Object>>[]` `failoverSpis()`
`static VisorSpisConfiguration` `from(IgniteConfiguration c)`
`IgniteBiTuple<String,Map<String,Object>>[]` `indexingSpis()`
`IgniteBiTuple<String,Map<String,Object>>[]` `loadBalancingSpis()`
`IgniteBiTuple<String,Map<String,Object>>` `swapSpaceSpi()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorSpisConfiguration

    public VisorSpisConfiguration()

### Method Detail

#### from

    public static VisorSpisConfiguration from(IgniteConfiguration c)

Parameters:
  `c` - Grid configuration.
Returns:
  Data transfer object for node SPIs configuration properties.

#### discoverySpi

    public IgniteBiTuple<String,Map<String,Object>> discoverySpi()

Returns:
  Discovery SPI.

#### communicationSpi

    public IgniteBiTuple<String,Map<String,Object>> communicationSpi()

Returns:
  Communication SPI.

#### eventStorageSpi

    public IgniteBiTuple<String,Map<String,Object>> eventStorageSpi()

Returns:
  Event storage SPI.

#### collisionSpi

    public IgniteBiTuple<String,Map<String,Object>> collisionSpi()

Returns:
  Collision SPI.

#### deploymentSpi

    public IgniteBiTuple<String,Map<String,Object>> deploymentSpi()

Returns:
  Deployment SPI.

#### checkpointSpis

    public IgniteBiTuple<String,Map<String,Object>>[] checkpointSpis()

Returns:
  Checkpoint SPIs.

#### failoverSpis

    public IgniteBiTuple<String,Map<String,Object>>[] failoverSpis()

Returns:
  Failover SPIs.

#### loadBalancingSpis

    public IgniteBiTuple<String,Map<String,Object>>[] loadBalancingSpis()

Returns:
  Load balancing SPIs.

#### swapSpaceSpi

    public IgniteBiTuple<String,Map<String,Object>> swapSpaceSpi()

Returns:
  Swap space SPIs.

#### indexingSpis

    public IgniteBiTuple<String,Map<String,Object>>[] indexingSpis()

Returns:
  Indexing SPIs.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016